| HaXml-1.19.7: Utilities for manipulating XML documents | Source code | Contents | Index

Text.XML.HaXml.OneOfN

Documentation

data OneOf2 a b | Source

Constructors

OneOf2 a |
TwoOf2 b |

Instances

(Eq a, Eq b) => Eq (OneOf2 a b)
(Show a, Show b) => Show (OneOf2 a b)
(HTypeable a, HTypeable b) => HTypeable (OneOf2 a b)
(XmlContent a, XmlContent b) => XmlContent (OneOf2 a b)

data OneOf3 a b c | Source

Constructors

OneOf3 a |
TwoOf3 b |
ThreeOf3 c |

Instances

(Eq a, Eq b, Eq c) => Eq (OneOf3 a b c)
(Show a, Show b, Show c) => Show (OneOf3 a b c)
(HTypeable a, HTypeable b, HTypeable c) => HTypeable (OneOf3 a b c)
(XmlContent a, XmlContent b, XmlContent c) => XmlContent (OneOf3 a b c)

data OneOf4 a b c d | Source

Constructors

OneOf4 a |
TwoOf4 b |
ThreeOf4 c |
FourOf4 d |

Instances

(Eq a, Eq b, Eq c, Eq d) => Eq (OneOf4 a b c d)
(Show a, Show b, Show c, Show d) => Show (OneOf4 a b c d)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d) => HTypeable (OneOf4 a b c d)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d) => XmlContent (OneOf4 a b c d)

data OneOf5 a b c d e | Source

Constructors

OneOf5 a |
TwoOf5 b |
ThreeOf5 c |
FourOf5 d |
FiveOf5 e |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e) => Eq (OneOf5 a b c d e)
(Show a, Show b, Show c, Show d, Show e) => Show (OneOf5 a b c d e)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e) => HTypeable (OneOf5 a b c d e)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e) => XmlContent (OneOf5 a b c d e)

data OneOf6 a b c d e f | Source

Constructors

OneOf6 a |
TwoOf6 b |
ThreeOf6 c |
FourOf6 d |
FiveOf6 e |
SixOf6 f |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f) => Eq (OneOf6 a b c d e f)
(Show a, Show b, Show c, Show d, Show e, Show f) => Show (OneOf6 a b c d e f)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f) => HTypeable (OneOf6 a b c d e f)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f) => XmlContent (OneOf6 a b c d e f)

data OneOf7 a b c d e f g | Source

Constructors

OneOf7 a |
TwoOf7 b |
ThreeOf7 c |
FourOf7 d |
FiveOf7 e |
SixOf7 f |
SevenOf7 g |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g) => Eq (OneOf7 a b c d e f g)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g) => Show (OneOf7 a b c d e f g)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g) => HTypeable (OneOf7 a b c d e f g)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g) => XmlContent (OneOf7 a b c d e f g)

data OneOf8 a b c d e f g h | Source

Constructors

OneOf8 a |
TwoOf8 b |
ThreeOf8 c |
FourOf8 d |
FiveOf8 e |
SixOf8 f |
SevenOf8 g |
EightOf8 h |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g, Eq h) => Eq (OneOf8 a b c d e f g h)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g, Show h) => Show (OneOf8 a b c d e f g h)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g, HTypeable h) => HTypeable (OneOf8 a b c d e f g h)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g, XmlContent h) => XmlContent (OneOf8 a b c d e f g h)

data OneOf9 a b c d e f g h i | Source

Constructors

OneOf9 a |
TwoOf9 b |
ThreeOf9 c |
FourOf9 d |
FiveOf9 e |
SixOf9 f |
SevenOf9 g |
EightOf9 h |
NineOf9 i |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g, Eq h, Eq i) => Eq (OneOf9 a b c d e f g h i)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g, Show h, Show i) => Show (OneOf9 a b c d e f g h i)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g, HTypeable h, HTypeable i) => HTypeable (OneOf9 a b c d e f g h i)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g, XmlContent h, XmlContent i) => XmlContent (OneOf9 a b c d e f g h i)

data OneOf10 a b c d e f g h i j | Source

Constructors

OneOf10 a |
TwoOf10 b |
ThreeOf10 c |
FourOf10 d |
FiveOf10 e |
SixOf10 f |
SevenOf10 g |
EightOf10 h |
NineOf10 i |
TenOf10 j |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g, Eq h, Eq i, Eq j) => Eq (OneOf10 a b c d e f g h i j)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g, Show h, Show i, Show j) => Show (OneOf10 a b c d e f g h i j)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g, HTypeable h, HTypeable i, HTypeable j) => HTypeable (OneOf10 a b c d e f g h i j)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g, XmlContent h, XmlContent i, XmlContent j) => XmlContent (OneOf10 a b c d e f g h i j)

data OneOf11 a b c d e f g h i j k | Source

Constructors

OneOf11 a |
TwoOf11 b |
ThreeOf11 c |
FourOf11 d |
FiveOf11 e |
SixOf11 f |
SevenOf11 g |
EightOf11 h |
NineOf11 i |
TenOf11 j |
ElevenOf11 k |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g, Eq h, Eq i, Eq j, Eq k) => Eq (OneOf11 a b c d e f g h i j k)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g, Show h, Show i, Show j, Show k) => Show (OneOf11 a b c d e f g h i j k)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g, HTypeable h, HTypeable i, HTypeable j, HTypeable k) => HTypeable (OneOf11 a b c d e f g h i j k)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g, XmlContent h, XmlContent i, XmlContent j, XmlContent k) => XmlContent (OneOf11 a b c d e f g h i j k)

data OneOf12 a b c d e f g h i j k l | Source

Constructors

OneOf12 a |
TwoOf12 b |
ThreeOf12 c |
FourOf12 d |
FiveOf12 e |
SixOf12 f |
SevenOf12 g |
EightOf12 h |
NineOf12 i |
TenOf12 j |
ElevenOf12 k |
TwelveOf12 l |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g, Eq h, Eq i, Eq j, Eq k, Eq l) => Eq (OneOf12 a b c d e f g h i j k l)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g, Show h, Show i, Show j, Show k, Show l) => Show (OneOf12 a b c d e f g h i j k l)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g, HTypeable h, HTypeable i, HTypeable j, HTypeable k, HTypeable l) => HTypeable (OneOf12 a b c d e f g h i j k l)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g, XmlContent h, XmlContent i, XmlContent j, XmlContent k, XmlContent l) => XmlContent (OneOf12 a b c d e f g h i j k l)

data OneOf13 a b c d e f g h i j k l m | Source

Constructors

OneOf13 a |
TwoOf13 b |
ThreeOf13 c |
FourOf13 d |
FiveOf13 e |
SixOf13 f |
SevenOf13 g |
EightOf13 h |
NineOf13 i |
TenOf13 j |
ElevenOf13 k |
TwelveOf13 l |
ThirteenOf13 m |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g, Eq h, Eq i, Eq j, Eq k, Eq l, Eq m) => Eq (OneOf13 a b c d e f g h i j k l m)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g, Show h, Show i, Show j, Show k, Show l, Show m) => Show (OneOf13 a b c d e f g h i j k l m)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g, HTypeable h, HTypeable i, HTypeable j, HTypeable k, HTypeable l, HTypeable m) => HTypeable (OneOf13 a b c d e f g h i j k l m)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g, XmlContent h, XmlContent i, XmlContent j, XmlContent k, XmlContent l, XmlContent m) => XmlContent (OneOf13 a b c d e f g h i j k l m)

data OneOf14 a b c d e f g h i j k l m n | Source

Constructors

OneOf14 a |
TwoOf14 b |
ThreeOf14 c |
FourOf14 d |
FiveOf14 e |
SixOf14 f |
SevenOf14 g |
EightOf14 h |
NineOf14 i |
TenOf14 j |
ElevenOf14 k |
TwelveOf14 l |
ThirteenOf14 m |
FourteenOf14 n |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g, Eq h, Eq i, Eq j, Eq k, Eq l, Eq m, Eq n) => Eq (OneOf14 a b c d e f g h i j k l m n)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g, Show h, Show i, Show j, Show k, Show l, Show m, Show n) => Show (OneOf14 a b c d e f g h i j k l m n)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g, HTypeable h, HTypeable i, HTypeable j, HTypeable k, HTypeable l, HTypeable m, HTypeable n) => HTypeable (OneOf14 a b c d e f g h i j k l m n)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g, XmlContent h, XmlContent i, XmlContent j, XmlContent k, XmlContent l, XmlContent m, XmlContent n) => XmlContent (OneOf14 a b c d e f g h i j k l m n)

data OneOf15 a b c d e f g h i j k l m n o | Source

Constructors

OneOf15 a |
TwoOf15 b |
ThreeOf15 c |
FourOf15 d |
FiveOf15 e |
SixOf15 f |
SevenOf15 g |
EightOf15 h |
NineOf15 i |
TenOf15 j |
ElevenOf15 k |
TwelveOf15 l |
ThirteenOf15 m |
FourteenOf15 n |
FifteenOf15 o |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g, Eq h, Eq i, Eq j, Eq k, Eq l, Eq m, Eq n, Eq o) => Eq (OneOf15 a b c d e f g h i j k l m n o)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g, Show h, Show i, Show j, Show k, Show l, Show m, Show n, Show o) => Show (OneOf15 a b c d e f g h i j k l m n o)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g, HTypeable h, HTypeable i, HTypeable j, HTypeable k, HTypeable l, HTypeable m, HTypeable n, HTypeable o) => HTypeable (OneOf15 a b c d e f g h i j k l m n o)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g, XmlContent h, XmlContent i, XmlContent j, XmlContent k, XmlContent l, XmlContent m, XmlContent n, XmlContent o) => XmlContent (OneOf15 a b c d e f g h i j k l m n o)

data OneOf16 a b c d e f g h i j k l m n o p | Source

Constructors

OneOf16 a |
TwoOf16 b |
ThreeOf16 c |
FourOf16 d |
FiveOf16 e |
SixOf16 f |
SevenOf16 g |
EightOf16 h |
NineOf16 i |
TenOf16 j |
ElevenOf16 k |
TwelveOf16 l |
ThirteenOf16 m |
FourteenOf16 n |
FifteenOf16 o |
SixteenOf16 p |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g, Eq h, Eq i, Eq j, Eq k, Eq l, Eq m, Eq n, Eq o, Eq p) => Eq (OneOf16 a b c d e f g h i j k l m n o p)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g, Show h, Show i, Show j, Show k, Show l, Show m, Show n, Show o, Show p) => Show (OneOf16 a b c d e f g h i j k l m n o p)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g, HTypeable h, HTypeable i, HTypeable j, HTypeable k, HTypeable l, HTypeable m, HTypeable n, HTypeable o, HTypeable p) => HTypeable (OneOf16 a b c d e f g h i j k l m n o p)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g, XmlContent h, XmlContent i, XmlContent j, XmlContent k, XmlContent l, XmlContent m, XmlContent n, XmlContent o, XmlContent p) => XmlContent (OneOf16 a b c d e f g h i j k l m n o p)

data OneOf17 a b c d e f g h i j k l m n o p q | Source

Constructors

OneOf17 a |
TwoOf17 b |
ThreeOf17 c |
FourOf17 d |
FiveOf17 e |
SixOf17 f |
SevenOf17 g |
EightOf17 h |
NineOf17 i |
TenOf17 j |
ElevenOf17 k |
TwelveOf17 l |
ThirteenOf17 m |
FourteenOf17 n |
FifteenOf17 o |
SixteenOf17 p |
SeventeenOf17 q |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g, Eq h, Eq i, Eq j, Eq k, Eq l, Eq m, Eq n, Eq o, Eq p, Eq q) => Eq (OneOf17 a b c d e f g h i j k l m n o p q)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g, Show h, Show i, Show j, Show k, Show l, Show m, Show n, Show o, Show p, Show q) => Show (OneOf17 a b c d e f g h i j k l m n o p q)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g, HTypeable h, HTypeable i, HTypeable j, HTypeable k, HTypeable l, HTypeable m, HTypeable n, HTypeable o, HTypeable p, HTypeable q) => HTypeable (OneOf17 a b c d e f g h i j k l m n o p q)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g, XmlContent h, XmlContent i, XmlContent j, XmlContent k, XmlContent l, XmlContent m, XmlContent n, XmlContent o, XmlContent p, XmlContent q) => XmlContent (OneOf17 a b c d e f g h i j k l m n o p q)

data OneOf18 a b c d e f g h i j k l m n o p q r | Source

Constructors

OneOf18 a |
TwoOf18 b |
ThreeOf18 c |
FourOf18 d |
FiveOf18 e |
SixOf18 f |
SevenOf18 g |
EightOf18 h |
NineOf18 i |
TenOf18 j |
ElevenOf18 k |
TwelveOf18 l |
ThirteenOf18 m |
FourteenOf18 n |
FifteenOf18 o |
SixteenOf18 p |
SeventeenOf18 q |
EighteenOf18 r |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g, Eq h, Eq i, Eq j, Eq k, Eq l, Eq m, Eq n, Eq o, Eq p, Eq q, Eq r) => Eq (OneOf18 a b c d e f g h i j k l m n o p q r)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g, Show h, Show i, Show j, Show k, Show l, Show m, Show n, Show o, Show p, Show q, Show r) => Show (OneOf18 a b c d e f g h i j k l m n o p q r)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g, HTypeable h, HTypeable i, HTypeable j, HTypeable k, HTypeable l, HTypeable m, HTypeable n, HTypeable o, HTypeable p, HTypeable q, HTypeable r) => HTypeable (OneOf18 a b c d e f g h i j k l m n o p q r)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g, XmlContent h, XmlContent i, XmlContent j, XmlContent k, XmlContent l, XmlContent m, XmlContent n, XmlContent o, XmlContent p, XmlContent q, XmlContent r) => XmlContent (OneOf18 a b c d e f g h i j k l m n o p q r)

data OneOf19 a b c d e f g h i j k l m n o p q r s | Source

Constructors

OneOf19 a |
TwoOf19 b |
ThreeOf19 c |
FourOf19 d |
FiveOf19 e |
SixOf19 f |
SevenOf19 g |
EightOf19 h |
NineOf19 i |
TenOf19 j |
ElevenOf19 k |
TwelveOf19 l |
ThirteenOf19 m |
FourteenOf19 n |
FifteenOf19 o |
SixteenOf19 p |
SeventeenOf19 q |
EighteenOf19 r |
NineteenOf19 s |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g, Eq h, Eq i, Eq j, Eq k, Eq l, Eq m, Eq n, Eq o, Eq p, Eq q, Eq r, Eq s) => Eq (OneOf19 a b c d e f g h i j k l m n o p q r s)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g, Show h, Show i, Show j, Show k, Show l, Show m, Show n, Show o, Show p, Show q, Show r, Show s) => Show (OneOf19 a b c d e f g h i j k l m n o p q r s)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g, HTypeable h, HTypeable i, HTypeable j, HTypeable k, HTypeable l, HTypeable m, HTypeable n, HTypeable o, HTypeable p, HTypeable q, HTypeable r, HTypeable s) => HTypeable (OneOf19 a b c d e f g h i j k l m n o p q r s)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g, XmlContent h, XmlContent i, XmlContent j, XmlContent k, XmlContent l, XmlContent m, XmlContent n, XmlContent o, XmlContent p, XmlContent q, XmlContent r, XmlContent s) => XmlContent (OneOf19 a b c d e f g h i j k l m n o p q r s)

data OneOf20 a b c d e f g h i j k l m n o p q r s t | Source

Constructors

OneOf20 a |
TwoOf20 b |
ThreeOf20 c |
FourOf20 d |
FiveOf20 e |
SixOf20 f |
SevenOf20 g |
EightOf20 h |
NineOf20 i |
TenOf20 j |
ElevenOf20 k |
TwelveOf20 l |
ThirteenOf20 m |
FourteenOf20 n |
FifteenOf20 o |
SixteenOf20 p |
SeventeenOf20 q |
EighteenOf20 r |
NineteenOf20 s |
TwentyOf20 t |

Instances

(Eq a, Eq b, Eq c, Eq d, Eq e, Eq f, Eq g, Eq h, Eq i, Eq j, Eq k, Eq l, Eq m, Eq n, Eq o, Eq p, Eq q, Eq r, Eq s, Eq t) => Eq (OneOf20 a b c d e f g h i j k l m n o p q r s t)
(Show a, Show b, Show c, Show d, Show e, Show f, Show g, Show h, Show i, Show j, Show k, Show l, Show m, Show n, Show o, Show p, Show q, Show r, Show s, Show t) => Show (OneOf20 a b c d e f g h i j k l m n o p q r s t)
(HTypeable a, HTypeable b, HTypeable c, HTypeable d, HTypeable e, HTypeable f, HTypeable g, HTypeable h, HTypeable i, HTypeable j, HTypeable k, HTypeable l, HTypeable m, HTypeable n, HTypeable o, HTypeable p, HTypeable q, HTypeable r, HTypeable s, HTypeable t) => HTypeable (OneOf20 a b c d e f g h i j k l m n o p q r s t)
(XmlContent a, XmlContent b, XmlContent c, XmlContent d, XmlContent e, XmlContent f, XmlContent g, XmlContent h, XmlContent i, XmlContent j, XmlContent k, XmlContent l, XmlContent m, XmlContent n, XmlContent o, XmlContent p, XmlContent q, XmlContent r, XmlContent s, XmlContent t) => XmlContent (OneOf20 a b c d e f g h i j k l m n o p q r s t)

Produced by Haddock version 2.4.2